org.apache.xmlbeans.impl.xb.xsdschema

## Interface NamespaceList.Member2.Item.Member

All Superinterfaces:
  XmlAnySimpleType, XmlNormalizedString, XmlObject, XmlString, XmlToken, XmlTokenSource

All Known Implementing Classes:
  NamespaceListImpl.MemberImpl2.ItemImpl, NamespaceListImpl.MemberImpl2.ItemImpl.MemberImpl

Enclosing interface:
  NamespaceList.Member2.Item

    public static interface NamespaceList.Member2.Item.Member
    extends XmlToken

An anonymous inner XML type. This is an atomic type that is a restriction of org.apache.xmlbeans.impl.xb.xsdschema.NamespaceList$Member2$Item$Member.

### Nested Class Summary

Nested Classes
`static class` `NamespaceList.Member2.Item.Member.Enum` Enumeration value class for org.apache.xmlbeans.impl.xb.xsdschema.NamespaceList$Member2$Item$Member.

### Field Summary

Fields
`static ElementFactory<NamespaceList.Member2.Item.Member>` `Factory`
`static int` `INT_LOCAL`
`static int` `INT_TARGET_NAMESPACE`
`static NamespaceList.Member2.Item.Member.Enum` `LOCAL`
`static NamespaceList.Member2.Item.Member.Enum` `TARGET_NAMESPACE`
`static SchemaType` `type`

### Fields inherited from interface org.apache.xmlbeans.XmlObject

`EQUAL, GREATER_THAN, LESS_THAN, NOT_EQUAL`

### Method Summary

All Methods Instance Methods Abstract Methods
`StringEnumAbstractBase` `getEnumValue()`
`void` `setEnumValue(StringEnumAbstractBase e)`

### Methods inherited from interface org.apache.xmlbeans.XmlAnySimpleType

`getStringValue, setStringValue`

### Methods inherited from interface org.apache.xmlbeans.XmlObject

`changeType, compareTo, compareValue, copy, copy, execQuery, execQuery, isImmutable, isNil, schemaType, selectAttribute, selectAttribute, selectAttributes, selectChildren, selectChildren, selectChildren, selectPath, selectPath, set, setNil, substitute, toString, validate, validate, valueEquals, valueHashCode`

### Methods inherited from interface org.apache.xmlbeans.XmlTokenSource

`documentProperties, dump, getDomNode, monitor, newCursor, newDomNode, newDomNode, newInputStream, newInputStream, newReader, newReader, newXMLStreamReader, newXMLStreamReader, save, save, save, save, save, save, save, save, xmlText, xmlText`

### Field Detail

#### Factory

    static final ElementFactory<NamespaceList.Member2.Item.Member> Factory

#### type

    static final SchemaType type

#### TARGET_NAMESPACE

    static final NamespaceList.Member2.Item.Member.Enum TARGET_NAMESPACE

#### LOCAL

    static final NamespaceList.Member2.Item.Member.Enum LOCAL

#### INT_TARGET_NAMESPACE

    static final int INT_TARGET_NAMESPACE

See Also:
  Constant Field Values

#### INT_LOCAL

    static final int INT_LOCAL

See Also:
  Constant Field Values

### Method Detail

#### getEnumValue

    StringEnumAbstractBase getEnumValue()

#### setEnumValue

    void setEnumValue(StringEnumAbstractBase e)